Name:		plasma-applet-thermal-monitor
Version:	1.3.0
Release:	%mkrel 3
Summary:	Plasma 5 applet for monitoring CPU, GPU and other available temperature sensors
Group:		Graphical desktop/KDE
License:	GPLv2+
# https://github.com/kotelnik/plasma-applet-thermal-monitor
Url:		https://gitlab.com/agurenko/plasma-applet-thermal-monitor
Source0:	https://gitlab.com/agurenko/plasma-applet-thermal-monitor/-/archive/%{version}/%{name}-%{version}.tar.bz2
Patch1:		0001-Fixing-unusable-source-selection-UI-on-systems-with-many.patch
Patch2:		0002-Remove-dead-whitespace.patch
Patch3:		0003-Fix-crash-when-opening-config-window.patch
Patch4:		0004-Fix_hight-is-assigned-width_2-value.patch
Patch5:		0005-Update-metadata.desktop.patch
BuildArch:	noarch
BuildRequires:	kf5-rpm-macros
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	gettext-devel

Requires:	ksysguard
Requires:	lm_sensors
Requires:	plasma-workspace

%description
Plasma 5 applet for monitoring CPU, GPU and other available
temperature sensors.

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_kf5_metainfodir}/org.kde.thermalMonitor.appdata.xml
%{_kf5_services}/plasma-applet-org.kde.thermalMonitor.desktop
%{_kf5_datadir}/plasma/plasmoids/org.kde.thermalMonitor/


%changelog
* Wed Jan 25 2023 daviddavid <daviddavid> 1.3.0-3.mga9
+ Revision: 1935995
- backports some more upstream fixes
- update dependencies

* Wed Jan 25 2023 daviddavid <daviddavid> 1.3.0-2.mga9
+ Revision: 1935983
- backports some upstream fixes

* Wed Jan 25 2023 daviddavid <daviddavid> 1.3.0-1.mga9
+ Revision: 1935978
- new version: 1.3.0
- update Url and Source Url

* Thu Dec 17 2020 umeabot <umeabot> 1.2.9-6.mga9
+ Revision: 1659388
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 1.2.9-5.mga8
+ Revision: 1588540
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 1.2.9-4.mga8
+ Revision: 1525417
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Apr 17 2019 daviddavid <daviddavid> 1.2.9-3.mga7
+ Revision: 1391883
- add patch to fix CPU temperature goes to off state in each reboot

* Mon Apr 01 2019 daviddavid <daviddavid> 1.2.9-2.mga7
+ Revision: 1384428
- fix plasmoid version

* Tue Jan 01 2019 daviddavid <daviddavid> 1.2.9-1.mga7
+ Revision: 1348336
- new version: 1.2.9

* Wed Sep 19 2018 umeabot <umeabot> 1.2.7-4.mga7
+ Revision: 1274193
- Mageia 7 Mass Rebuild

* Sun Jan 29 2017 daviddavid <daviddavid> 1.2.7-3.mga6
+ Revision: 1083943
- requires plasma-workspace

* Sat Jan 28 2017 daviddavid <daviddavid> 1.2.7-2.mga6
+ Revision: 1083748
- add French translation from papoteur and daviddavid

* Mon Jan 23 2017 daviddavid <daviddavid> 1.2.7-1.mga6
+ Revision: 1083219
- initial package plasma-applet-thermal-monitor

